This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Stop eval "use 6" from leaking
authorFather Chrysostomos <sprout@cpan.org>
Thu, 25 Nov 2010 14:11:12 +0000 (06:11 -0800)
committerFather Chrysostomos <sprout@cpan.org>
Thu, 25 Nov 2010 17:42:51 +0000 (09:42 -0800)
pp_ctl.c

index 76df2fd..31c716e 100644 (file)
--- a/pp_ctl.c
+++ b/pp_ctl.c
@@ -3443,8 +3443,10 @@ PP(pp_require)
                    || strstr(SvPVX(pv),".0")        /* FP with leading 0 */
                   ) {
                    DIE(aTHX_ "Perl %"SVf" required--this is only "
-                       "%"SVf", stopped", SVfARG(vnormal(req)),
-                       SVfARG(vnormal(PL_patchlevel)));
+                       "%"SVf", stopped",
+                       SVfARG(sv_2mortal(vnormal(req))),
+                       SVfARG(sv_2mortal(vnormal(PL_patchlevel)))
+                   );
                }
                else { /* probably 'use 5.10' or 'use 5.8' */
                    SV *hintsv;